3 Angajamente 9970ceca6e ... a25ade4b5f

Autor SHA1 Permisiunea de a trimite mesaje. Dacă este dezactivată, utilizatorul nu va putea trimite nici un fel de mesaj Data
  Daniel Sheffield a25ade4b5f support multiple devices plugged in and also keep x11vnc running for remote access even after unplugging 1 lună în urmă
  Daniel Sheffield a2cef4d7be make dolby digital hardware passthrough a profile to allow non-dolby audio playback 2 luni în urmă
  Daniel Sheffield d59fcff0fc fix override causing immediate sleep after wake 2 luni în urmă

+ 2 - 2
android-usb-vnc/system/etc/systemd/system/adb-reverse@.service

@@ -1,13 +1,13 @@
 [Unit]
 Description=ADB reverse TCP port 5900 for device %I
 After=adb.service
-BindsTo=dev-%i.device
+BindsTo=dev-vd%i.device
 StopWhenUnneeded=yes
 
 [Service]
 Type=oneshot
 RemainAfterExit=yes
-ExecStart=/bin/bash -c "for i in {1..10}; do if /usr/bin/adb -s %I reverse tcp:5900 tcp:5900; then break; else sleep 1; fi; done"
+ExecStart=/usr/local/bin/adb-reverse.sh %I
 
 [Install]
 WantedBy=dev-%i.device

+ 0 - 2
android-usb-vnc/system/etc/systemd/system/x11vnc@.service

@@ -1,8 +1,6 @@
 [Unit]
 Description=Start x11vnc server for %I
 Requires=xpra@%i.service
-BindsTo=dev-vd%i.device
-After=dev-vd%i.device
 
 [Service]
 User=das

+ 1 - 1
android-usb-vnc/system/etc/systemd/system/xpra@.service

@@ -1,7 +1,7 @@
 [Unit]
 Description=Start xrpa server for %I
 Requires=xvfb@%i.service
-After=xvfb%i.service
+After=xvfb@%i.service
 
 [Service]
 RemainAfterExit=yes

+ 25 - 0
android-usb-vnc/system/usr/local/bin/adb-reverse.sh

@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+set -x
+
+SERIAL_SHORT="$1"
+mkdir -p "/var/lib/xvfb/$SERIAL_SHORT"
+serial_to_port_map="/var/lib/xvfb/$SERIAL_SHORT/port"
+if ! [ -f "$serial_to_port_map" ]
+then
+
+    nd="$(find /var/lib/xvfb -type f -name 'port' -exec bash -c 'cat $1; echo' find-shell {} \; | sort -V | tail -n1)"
+    [ "$nd" ] || nd=5900
+    echo -n "$((nd + 1))" > "$serial_to_port_map"
+fi
+VNC_PORT="$(cat "$serial_to_port_map")"
+for i in {1..10}
+do
+    if /usr/bin/adb -s "$SERIAL_SHORT" reverse tcp:5900 "tcp:$VNC_PORT"
+    then
+        break
+    else
+        sleep 1
+    fi
+done

+ 3 - 2
android-usb-vnc/system/usr/local/bin/x11vnc_for_android.sh

@@ -4,6 +4,7 @@ set -euo pipefail
 ACTION="$1"
 SERIAL_SHORT="$2"
 REMOTE_DISPLAY="$(cat "/var/lib/xvfb/$SERIAL_SHORT/display")"
+VNC_PORT="$(cat "/var/lib/xvfb/$SERIAL_SHORT/port")"
 
 for i in {1..10}
 do
@@ -14,10 +15,10 @@ done
 case "$ACTION"
 in
     "start")
-        /usr/bin/xpra control :"$REMOTE_DISPLAY" start "/usr/local/bin/x11vnc_for_android_start.sh"
+        /usr/bin/xpra control :"$REMOTE_DISPLAY" start "/usr/local/bin/x11vnc_for_android_start.sh" "$VNC_PORT"
         ;;
     "stop")
-        /usr/bin/xpra control :"$REMOTE_DISPLAY" start "/usr/local/bin/x11vnc_for_android_stop.sh"
+        /usr/bin/xpra control :"$REMOTE_DISPLAY" start "/usr/local/bin/x11vnc_for_android_stop.sh" "$VNC_PORT"
         ;;
     *)
         exit 1

+ 2 - 1
android-usb-vnc/system/usr/local/bin/x11vnc_for_android_start.sh

@@ -1,2 +1,3 @@
 #!/usr/bin/env bash
-/usr/bin/x11vnc -forever -shared -rfbport 5900 -listen localhost -nopw #2>&1 | tee /var/log/xpra-x11vnc.log
+VNC_PORT=$1
+/usr/bin/x11vnc -forever -shared -rfbport "$VNC_PORT" -listen localhost -nopw #2>&1 | tee /var/log/xpra-x11vnc.log

+ 2 - 1
android-usb-vnc/system/usr/local/bin/x11vnc_for_android_stop.sh

@@ -1,2 +1,3 @@
 #!/usr/bin/env bash
-pidof x11vnc && kill $(pidof x11vnc)
+VNC_PORT=$1
+pkill -f "x11vnc.*$VNC_PORT"

+ 4 - 2
mplayer/.mplayer/config

@@ -1,8 +1,10 @@
-ao=alsa:device=hw=0.3 # alsactl info
-ac=hwac3
 nosub=1
 alang=en
 
+[dolby]
+ao=alsa:device=hw=0.3 # alsactl info
+ac=hwac3
+
 [ws]
 # For "widescreen" (NTSC) DVD
 #

+ 0 - 4
wake/system/etc/systemd/logind.conf.d/disable-idle-sleep.conf

@@ -1,4 +0,0 @@
-[Login]
-IdleAction=ignore
-RuntimeDirectorySize=0
-

+ 1 - 4
wake/system/etc/systemd/system/systemd-suspend.service.d/hybrid-sleep.conf

@@ -1,6 +1,3 @@
-[Unit]
-Requires=hybrid-sleep.target
-After=hybrid-sleep.target
-
 [Service]
+ExecStart=
 ExecStart=/usr/lib/systemd/systemd-sleep hybrid-sleep

+ 0 - 10
wake/system/usr/lib/systemd/system-sleep/restart-bluetooth

@@ -1,10 +0,0 @@
-#!/usr/bin/env bash
-
-case "$1" in
-  post)
-    rfkill block 4
-    sleep 1
-    rfkill unblock 4
-    ;;
-esac
-